Skip to content

Return concrete source entity types that may be created for one projection reference target.

GET
/api/workspace/entity/{entityIdOrKey}/projection/source-create-options
curl --request GET \
--url https://example.com/api/workspace/entity/example/projection/source-create-options \
--header 'Authorization: Bearer <token>'
entityIdOrKey
required
string

Projection entity definition identifier or normalized key.

access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Runtime source-create options for a Projection Entity reference target.

object
EntityDefinitionId
string
nullable
IsProjection
boolean
Options
Array<object>
nullable

Source entity option that can create records for a Projection Entity reference.

object
SourceEntityDefinitionId
string
nullable
SourceEntityDisplayNameSingular
string
nullable
SourceEntityDisplayNamePlural
string
nullable
ReferenceFieldId
string
nullable
ReferenceFieldKey
string
nullable
MemberKey
string
nullable
MemberDisplayName
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Runtime source-create options for a Projection Entity reference target.

object
EntityDefinitionId
string
nullable
IsProjection
boolean
Options
Array<object>
nullable

Source entity option that can create records for a Projection Entity reference.

object
SourceEntityDefinitionId
string
nullable
SourceEntityDisplayNameSingular
string
nullable
SourceEntityDisplayNamePlural
string
nullable
ReferenceFieldId
string
nullable
ReferenceFieldKey
string
nullable
MemberKey
string
nullable
MemberDisplayName
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
Data

Runtime source-create options for a Projection Entity reference target.

object
EntityDefinitionId
string
nullable
IsProjection
boolean
Options
Array<object>
nullable

Source entity option that can create records for a Projection Entity reference.

object
SourceEntityDefinitionId
string
nullable
SourceEntityDisplayNameSingular
string
nullable
SourceEntityDisplayNamePlural
string
nullable
ReferenceFieldId
string
nullable
ReferenceFieldKey
string
nullable
MemberKey
string
nullable
MemberDisplayName
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Not Found

Media typeapplication/json
object
Data

Runtime source-create options for a Projection Entity reference target.

object
EntityDefinitionId
string
nullable
IsProjection
boolean
Options
Array<object>
nullable

Source entity option that can create records for a Projection Entity reference.

object
SourceEntityDefinitionId
string
nullable
SourceEntityDisplayNameSingular
string
nullable
SourceEntityDisplayNamePlural
string
nullable
ReferenceFieldId
string
nullable
ReferenceFieldKey
string
nullable
MemberKey
string
nullable
MemberDisplayName
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}